Skip to content

URDF and Meshes

Total endpoints: 2 Example base URL: https://<ROBOT_IP>/rest Required access for this section: USER

Get Mesh

  • Endpoint: /api/v2/meshes/{filepath:path}
  • Function: Get mesh.
  • Method: GET
  • Parameters:
  • filepath (path, str)
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/meshes/example/path" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/meshes/example/path"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
Status: 200
Content-Type: model/stl
Body: Binary mesh file content.

Get Urdf

  • Endpoint: /api/v2/urdf/{filename}
  • Function: Get urdf.
  • Method: GET
  • Parameters:
  • filename (path, str)
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/urdf/example.txt" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/urdf/example.txt"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "urdf": "<robot>...</robot>",
  "meshes": [
    "package://robot/meshes/base_link.stl"
  ]
}